Skip to main content
GET
/
projects
/
{project_reference}
/
agents
/
{agent_id}
Get Agent
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "model": "<string>",
  "system_prompt": "<string>",
  "max_steps": 1,
  "allowed_models": [
    "<string>"
  ],
  "skill_ids": [
    "<string>"
  ],
  "tool_ids": [
    "<string>"
  ],
  "provider_tool_ids": [
    "<string>"
  ],
  "security_enabled": true,
  "source_path": "<string>",
  "source": "<string>",
  "source_only_reasons": [
    "<string>"
  ],
  "suggestions": [
    "<string>"
  ],
  "avatar": {
    "seed": "<string>",
    "texture": "<string>",
    "color": "<string>",
    "matrix": "<string>"
  },
  "avatar_url": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
agent_id
string
required

Agent identifier

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Response

Agent document

id
string
required
name
string
required
description
string | null
required
model
string | null
required
system_prompt
string | null
required
max_steps
integer | null
required
Required range: x > 0
allowed_models
string[]
required
skill_ids
string[]
required
tool_ids
string[]
required
provider_tool_ids
string[]
required
security_enabled
boolean | null
required
source_path
string
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required
suggestions
(string | object)[]
Minimum string length: 1
avatar
object
avatar_url
string<uri> | null

Absolute URL for this agent avatar. Null when no custom avatar has been set.